#ifndef OPTIONS_HPP
#define OPTIONS_HPP

#include <ostream>
#include <string>
#include <vector>

#include "RdbStats.h"

struct Options {

    std::vector<std::string> columns;

    bool all = false;
    std::vector<std::string> group;
    std::string input;
    Normalize normalize = Normalize::None;
    std::string output;
    DefOverrideList override_defn;
    PercentileList percentiles;
    bool quartiles = false;
    std::vector<std::string> rows;
    bool manual = false;
    bool version = false;

    Options( int argc, char* argv[] );
    int exit_value = 0;
    bool exit_requested = false;

    void print( std::ostream &os );
};

std::ostream& operator << ( std::ostream& os, Options& a );
  


#endif // ! OPTIONS_HPP
