// File:  RdbStatsPercentilesMed.cc
// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of rdbstats
//
// rdbstats is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// rdbstats is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the 
//       Free Software Foundation, Inc. 
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include "RdbStatsPercentilesMed.h"

// The user specified percentiles.  For example: --percentiles 12,34,45
RdbStatsPercentilesMed::RdbStatsPercentilesMed( RDB& irdbtable,
						const std::string& name,
						const PercentileList& percentiles
                                                )
    : RdbStatsPercentiles( irdbtable, name, percentiles )
{}

// --quartiles was entered at the command line.
RdbStatsPercentilesMed::RdbStatsPercentilesMed( RDB& irdbtable, const std::string& name )
  : RdbStatsPercentiles( irdbtable, name ) {}

int RdbStatsPercentilesMed::calculate_statistics( ) {

  // calculate regular-stats and the percentiles.
  if ( 0 == this->RdbStatsPercentiles::calculate_statistics( ) )
    return 0;

  // normalize the result wrt the median.
  double norm_factor = fabs( the_median );
  normalize_results( norm_factor );

  return num_n;
}
