#ifndef Row_H
#define Row_H

/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006 Smithsonian Astrophysical Observatory
 *
 * This file is part of rdbstats
 *
 * rdbstats is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * rdbstats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include <vector>

class Exception;

class Row {

    friend std::ostream& operator << ( std::ostream& os, Row& a ) {
    a.print( os );
    return os;
  }

    friend std::ostream& operator << ( std::ostream& os, Row* a ) {
    a->print( os );
    return os;
  }

public:

  ~Row( ) { }

  Row( const std::vector< std::string >& row_options );

  const std::vector< std::pair< long, long > >& get_range( ) { return start_end; }

private:

  void print( std::ostream& os ) const;

  std::vector< std::pair< long, long > > start_end;

};

#endif
